Need improved styling for Popup blocking UI on Mac
Seen on today's bon echo build - Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1a3) Gecko/20060607 BonEcho/2.0a3

I couldn't find an existing bug for this, so filing it now per beltzner. The popup blocking UI needs to be styled for the Mac (both font and color).